CRYPTO_ABLKCIPHER_BL(9)

NAME
crypto_ablkcipher_blocksize - obtain block size of cipher

SYNOPSIS

unsigned int crypto_ablkcipher_blocksize(struct crypto_ablkcipher * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

The block size for the ablkcipher referenced with the cipher handle is returned. The caller may use that information to allocate appropriate memory for the data returned by the encryption or decryption operation

RETURN

block size of cipher

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT